function []= burgova(novex,z,fvz,sub_index)

%tato funkce vykresluje výkonové spektrum pomocí burgovy metody
subplot (1,2,sub_index);

L = length(novex);
NFFT = 2^nextpow2(L);
[Pxx,f] = pburg(z,500,NFFT,fvz,'onesided'); % hodnota 500 je hodnota autoregresivního modelu
delka_Pxx = length(Pxx);
delka_f = length(f);

%PRAHOVÁNÍ
start = ((delka_Pxx/100)*1.08);
Y2=Pxx(floor(start):end);
Y3=Y2(1:floor((delka_f)/7));
[maximum,poloha]=max(Y3(1:end));
maximum_y = maximum;
zacatek_sig = 35;


%Vykreslení prahu do Burgovy metody
poloha1 = (poloha-1)+(floor(start));              %korekce zpoždění
poloha_x = f(poloha1);
stem(poloha_x, maximum_y, 'r','LineWidth',2);     %vykreslení maxima
hold on;
plot(f((zacatek_sig):floor((delka_Pxx)/7)), Pxx(zacatek_sig:floor((delka_f)/7)));

if sub_index==1;
title('Preprandiální fáze s vyznačenou dominatní frekvencí');  
else 
title('Postprandiální fáze s vyznačenou dominatní frekvencí'); 
end
xlabel('Frekvence [Hz]');
ylabel('U [mV]');
grid on;
